Send a message
curl --request POST \
--url https://api.hyperspell.com/actions/send_message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "slack",
"text": "<string>",
"connection": "<string>",
"channel": "<string>",
"parent": "<string>"
}
'import requests
url = "https://api.hyperspell.com/actions/send_message"
payload = {
"provider": "slack",
"text": "<string>",
"connection": "<string>",
"channel": "<string>",
"parent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'slack',
text: '<string>',
connection: '<string>',
channel: '<string>',
parent: '<string>'
})
};
fetch('https://api.hyperspell.com/actions/send_message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"provider_response": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Actions
Send a message
Send a message to a channel or conversation on a connected integration.
POST
/
actions
/
send_message
Send a message
Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Body
application/json
Send a message to a channel or conversation.
Was this page helpful?